

##############################################################################################
# neighb.xy3p12 is a function to profile the False Positive Rates as parameters  
# mean.fun is mean.paucp1 or mean.paucp2, which is chosen based on the pAUC at [p, 1] or [0, p]
# p is the False Positive Rate to be included in the Partial AUC at [p, 1] or [0, p]
# x is a non diseased sample
# y is a diseased sample
# true is the Partial AUC value to be tested.
##############################################################################################
neighb.xy3p12 <- function(vp, x, y, true, tol=.001, eps, ...){         ### ... never used???
  
  if (vp[1]==0 & vp[2] > 0 & vp[2] < 1){
    
    p <- vp[2]
    
  }
  
  if (vp[2]==1 & vp[1] > 0 & vp[1] < 1){
    
    p <- vp[1]
    
  }
  
  nx <- length(x)
  
  ny <- length(y)
  
  sortx_w <- myWdataclean2(z=x)
  
  sortedx <- sortx_w$value
  
  cx<- cumsum(sortx_w$weight/nx)
  
  idex <- ifelse(p < 1, max(which(cx <=1- p )), 1)
  
  abs <- data.frame(x=idex)
  
  highx=sortedx[idex]
  
  best <- eltest2step.p12(highx, x=x, y=y, vp=vp, truepauc=true, tol, eps)
  
  neg2.llr <- data.frame(value=best)
  
  ite <- TRUE
  
  while (ite==TRUE) {  
    neib1 <- idex - 1
    if ((idex - 1 > 0) & (!any(abs==neib1))) {
      abs <- rbind(abs, neib1)
      highx=sortedx[neib1]
      neg2.llr <- rbind(neg2.llr, eltest2step.p12(highx, x=x, y=y, vp=vp, truepauc=true, tol, eps))
    }
    
    
    neib2 <- idex + 1 
    if ((neib2 <= nx) & (!any(abs==neib2))){
      abs <- rbind(abs, neib2)
      highx=sortedx[neib2]
      neg2.llr <- rbind(neg2.llr, eltest2step.p12(highx, x=x, y=y, vp=vp, truepauc=true, tol, eps))
      
    }
    
    if (min(neg2.llr)==best){
      
     # return(best)
	return(list('-2LLR'=best, Pval = 1 - pchisq(best, df=1)))
      
      ite <- FALSE
    }  
    else {
      best=min(neg2.llr)
      idex <- abs$x[which(neg2.llr==best)]
      ite <- TRUE
    }
  }
}


