\name{eltest2step.all}
\alias{eltest2step.all}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Empirical likelihood test for AUC
}
\description{
Compute the empirical likelihood ratio with AUC fixed at \eqn{AUC_0}
}
\usage{
eltest2step.all(true, x,  y, tol=0.001, eps=0.01)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{true}{
the AUC to be tested, \eqn{AUC_0}
}
  \item{x}{
a sample of test results from non-diseased population
}
  \item{y}{
a sample of test results from diseased population
}
 \item{tol}{
the maximum distance between the current guess and the current range on Golden Section Search Optimization method
}
\item{eps}{The smoothing parameter, the band width.}
}
\details{
The function applys the 'ELseesaw' algorithm described in the reference to minimize the empirical likelihood ratio test. 
"-2LLR" may be positive infinite if the tested values of the parameters are far away from the true values.
}
\value{
\item{"-2LLR"}{the -2 loglikelihood ratio; approximate chisq distribution under \eqn{H_0}}
\item{Pval}{the observed P-value by chi-square approximation}
}
\references{
Statistical Inference on Partial Area Under ROC Curves by Empirical Likelihood Method
}
\author{
Yumin Zhao
}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%}
\examples{
rate.x <- 1
rate.y <- 0.25
  
rp.exp2<-function(p, rate.x, rate.y)
  { 
    y<- 1- pexp(qexp(1-p, rate=rate.x), rate=rate.y)
    y
  }
 
p1 <- 0
p2 <- 1
###ture AUC 
truepauc <- integrate(rp.exp2, rate.x, rate.y,lower=p1,upper=p2)$value
  
nx <- 40
ny <- 30

x <- rexp(nx, rate.x)
y <- rexp(ny, rate.y)
    
eltest2step.all(x=x, y=y, true=truepauc, eps=0.03)

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
